%define	name		smack
%define	version		1.4.1
%define	release		1jpp
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Open Source XMPP client library for instant messaging and presence
License:	Apache License
Group:		Development/Java
Url:		http://www.jivesoftware.org/smack/
Source0:	http://www.jivesoftware.org/builds/smack/smack-dev-1.4.1.tar.gz
Patch0:		%{name}-no-classpath-in-manifest.patch
Vendor:		JPackage Project
Distribution:	JPackage
Requires:	xpp3
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	xpp3
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Smack is an Open Source XMPP client library for instant messaging 
and presence.

%package manual
Group:          Development/Java
Summary:        Manual for %{name}

%description manual
Documentation for %{name}.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-dev-%{version}
%patch0 -p1 -b "~"

%build
find . -type f -name "*.jar" -exec %__rm -f {} \;
pushd build
export CLASSPATH=$(build-classpath xpp3)
%ant -Dbuild.sysclasspath=first clean all javadoc
popd

%install
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a %{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%__cp -a %{name}x.jar %{buildroot}%{_javadir}/%{name}x-%{version}.jar
%__cp -a %{name}x-debug.jar %{buildroot}%{_javadir}/%{name}x-debug-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %__ln_s ${jar} ${jar/-%{version}/}; done)

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%clean
%__rm -rf %{buildroot}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%files manual
%defattr(0644,root,root,0755)
%doc documentation/*

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sun Mar 13 2005 David Walluck <david@jpackage> 0:1.4.1-1jpp
- release (original spec due to Zach Garner <zach@awarix.com>)
- add full Source0 URL
- add macros
- add %%{name}x-debug.jar
- fix classpath-in-manifest
- add xpp3 dependency
- javadoc symlink
